package com.bergerkiller.bukkit.nolagg.bufferedtag;

import java.io.DataInputStream;
import java.io.IOException;

import net.minecraft.server.NBTTagByteArray;

public class NBTTagByteArrayBuffered extends NBTTagByteArray {

	public static NBTTagByteArrayBuffered readFrom(String name, byte[] buff, DataInputStream stream) throws IOException {
		NBTTagByteArrayBuffered rval = new NBTTagByteArrayBuffered(name);
		int i = stream.readInt();
		if (buff != null && buff.length == i) {
			rval.data = buff;
		} else {
			rval.data = new byte[i];
		}
		stream.readFully(rval.data);
		return rval;
	}
	
	private NBTTagByteArrayBuffered(String name) {
		super(name);
	}
	
}
